aboutsummaryrefslogtreecommitdiff
path: root/scripts/makefile
diff options
context:
space:
mode:
authorKimplul <kimi.h.kuparinen@gmail.com>2024-08-17 20:47:33 +0300
committerKimplul <kimi.h.kuparinen@gmail.com>2024-08-17 20:47:33 +0300
commit395efb9c8a0a0160a7b95769e9484bae5548bbde (patch)
treea5b4dc24dd3a2097d055b66b0cde8e23832802eb /scripts/makefile
parent2023a7b2d9656f80b00de81453348c0a66f200f7 (diff)
downloadek-395efb9c8a0a0160a7b95769e9484bae5548bbde.tar.gz
ek-395efb9c8a0a0160a7b95769e9484bae5548bbde.zip
add analyzer and fix some reported issues
Diffstat (limited to 'scripts/makefile')
-rw-r--r--scripts/makefile17
1 files changed, 11 insertions, 6 deletions
diff --git a/scripts/makefile b/scripts/makefile
index e247e7a..75631b7 100644
--- a/scripts/makefile
+++ b/scripts/makefile
@@ -32,9 +32,14 @@ OBJCOPY != [ "$(LLVM)" != "0" ] \
&& echo llvm-objcopy \
|| echo $(CROSS_COMPILE)objcopy
-COMPILER != [ "$(LLVM)" != "0" ] \
- && echo clang --target="$(CROSS_COMPILE)" \
- || echo $(CROSS_COMPILE)gcc
+COMPILER != [ -n "$(CROSS_COMPILE)" ] \
+ && { \
+ [ "$(LLVM)" != "0" ] \
+ && echo clang --target="$(CROSS_COMPILE)" \
+ || echo $(CROSS_COMPILE)gcc \
+ ; \
+ } \
+ || echo $(CC)
OBFLAGS := -g
@@ -60,10 +65,10 @@ COMPILE_EK = $(COMPILE) $(EK_FLAGS)
-include deps.mk
-ek: $(EK_OBJS)
- $(COMPILE_EK) $(EK_OBJS) -o $@
+ek: $(EK_OBJS) build/gen/parser.o
+ $(COMPILE_EK) $(EK_OBJS) build/gen/parser.o -o $@
# might lint some common things twice
.PHONY:
-lint: $(TRISCV_LINTS)
+lint: $(EK_LINTS)